CVE-2024-31999

CVSS 3.1 Score 7.4 of 10 (high)

Details

Published Apr 10, 2024
Updated: Apr 11, 2024
CWE ID 613

Summary

CVE-2024-31999 is a secondary type cyber vulnerability that affects @festify/secure-session, a package used for creating secure stateless cookie sessions in Fastify. The vulnerability occurs during the session removal process, where the session is marked for deletion but not completely removed. If an attacker gains access to the encrypted cookie, they can keep accessing the session data. The base severity of this vulnerability is high, with a score of 7.4 out of 10. It requires user interaction and can lead to a confidentiality impact, potentially posing a danger to organizations using this package. Remediation steps should include updating to the latest version of @festify/secure-session that fixes the issue.

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2024-31999 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options